> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payment Proof File

> Records a payment-proof file for a warrant and moves the warrant to PENDING_PAYMENT_VERIFICATION with isPaid false.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /platform/create-payment-proof-file
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/create-payment-proof-file:
    post:
      operationId: createPaymentProofFile
      summary: Create Payment Proof File
      description: >-
        Records a payment-proof file for a warrant and moves the warrant to
        PENDING_PAYMENT_VERIFICATION with isPaid false.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePaymentProofFileRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePaymentProofFileResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreatePaymentProofFileRequest:
      type: object
      properties:
        fileKey:
          type: string
        warrantID:
          type: string
      required:
        - fileKey
        - warrantID
    CreatePaymentProofFileResponse:
      type: object
      properties:
        fileID:
          type: string
        orgID:
          type: string
        fileName:
          type: string
        mimeType:
          type: string
        fileKey:
          type: string
        fileBucket:
          type: string
        fileURL:
          type: string
        fileDownloadURL:
          type: string
        fileUploaded:
          type:
            - string
            - 'null'
        fileSizeInBytes:
          type:
            - string
            - 'null'
        createdByUserID:
          type:
            - string
            - 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
        legacyMigratedAt:
          type:
            - string
            - 'null'
        legacyModelID:
          type:
            - integer
            - 'null'
        type:
          type: string
        paymentProof:
          type:
            - object
            - 'null'
          properties:
            paymentProofID:
              type: string
            roleInOrgID:
              type: string
            investorEntityID:
              type:
                - string
                - 'null'
            fileID:
              type: string
            createdAt:
              type: string
            updatedAt:
              type: string
            warrantID:
              type:
                - string
                - 'null'
          required:
            - paymentProofID
            - roleInOrgID
            - investorEntityID
            - fileID
            - createdAt
            - updatedAt
            - warrantID
      required:
        - fileID
        - orgID
        - fileName
        - mimeType
        - fileKey
        - fileBucket
        - fileURL
        - fileDownloadURL
        - fileUploaded
        - fileSizeInBytes
        - createdByUserID
        - createdAt
        - updatedAt
        - legacyMigratedAt
        - legacyModelID
        - type
        - paymentProof
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
